API ReferenceChat APIOpenAI
Responses Format
Last updated:
Chat — native OpenAI format
POST /responses
Authentication
Store your API key in AICENTOS_API_KEY; the shell examples expand it in the Authorization: Bearer header.
The API Key obtained under "Token Management" in the console
Location: header
Request Body
application/json
TypeScript type definition
Use the request body type in TypeScript
Response Body
application/json
application/json
export AICENTOS_API_KEY="sk-your-aicentos-api-key"
curl -X POST "https://aicentos.com/v1/responses" \
-H "Authorization: Bearer $AICENTOS_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "model": "gpt-5", "input": "Introduce yourself in one sentence" }'{
"id": "string",
"object": "response",
"status": "completed",
"output": [],
"usage": {}
}{
"error": {
"message": "Incorrect API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
}